<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$buscar = '%' .@$_GET['buscar']. '%';
$usuario = @$_GET['user'];

$query = $pdo->query("SELECT * FROM usuarios where id = '$usuario'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = $res[0]['nivel'];
if($nivel == 'Corretor'){
    $usuario = '%'.$usuario.'%';
}else{
    $usuario = '%%';
}

$query = $pdo->prepare("SELECT * from vendedores where (nome LIKE '$buscar' or email LIKE '$buscar' or doc LIKE '$buscar') and corretor LIKE '$usuario'  order by id desc");

$query->execute();

$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 

 $data_nasc = $res[$i]['data_nasc'];
 $data_cad = $res[$i]['data_cadastro'];
 $corretor = $res[$i]['corretor'];

 $data_nascF = implode('/', array_reverse(explode('-', $data_nasc)));
 $data_cadF = implode('/', array_reverse(explode('-', $data_cad)));


 $query2 = $pdo->query("SELECT * FROM usuarios where id = '$corretor'");
 $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
 if(@count($res2) > 0){
    $nome_corretor = $res2[0]['nome'];
}else{
    $nome_corretor = 'Sem Registro';
}

$dados[] = array(
    'id' => $res[$i]['id'],
    'nome' => $res[$i]['nome'],
    'telefone' => $res[$i]['telefone'],
    'cpf' => $res[$i]['doc'],
    'email' => $res[$i]['email'],
    'endereco' => $res[$i]['endereco'],
    'nome_corretor' => $nome_corretor,
    'data_nascF' => $data_nascF,
    'data_cadF' => $data_cadF,
    'obs' => $res[$i]['obs'],
    'pessoa' => $res[$i]['pessoa'], 
    'banco' => $res[$i]['banco'],
    'tipo' => $res[$i]['tipo'],
    'conta' => $res[$i]['conta'],
    'agencia' => $res[$i]['agencia'],
    'pix' => $res[$i]['pix'],
    'estado_civil' => $res[$i]['estado_civil'],
    'nacionalidade' => $res[$i]['nacionalidade'],
    'profissao' => $res[$i]['profissao'],
);

}

if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>$dados));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>